Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel
Class BuildReplyHandler

    java.lang.Object
      net.i2p.router.tunnel.BuildReplyHandler

    public class BuildReplyHandler

extends Object

Decrypt the layers of a tunnel build reply message, determining whether the individual hops agreed to participate in the tunnel, or if not, why not.

Constructor Summary
`BuildReplyHandler()`

Method Summary
`static int[]` | `decrypt(I2PAppContext ctx, TunnelBuildReplyMessage reply, TunnelCreatorConfig cfg, List<Integer> recordOrder)` Decrypt the tunnel build reply records.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildReplyHandler

    public BuildReplyHandler()

Method Detail

### decrypt

    public static int[] decrypt(I2PAppContext ctx,
                                TunnelBuildReplyMessage reply,
                                TunnelCreatorConfig cfg,
                                List<Integer> recordOrder)

  Decrypt the tunnel build reply records. This overwrites the contents of the reply

  Returns:
    status for the records (in record order), or null if the replies were not valid. Fake records always have 0 as their value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD